<template>
  <div class="pressure-level-control d-flex flex-grow-1 px-1 mx-1 py-3">
    <vue-slider
      v-model="pressureLevel"
      direction="btt"
      tooltipPlacement="right"
      :data="pressureLevelEnum()"
      :adsorb="true"
      :height="150"/>
  </div>
</template>

<script>
import VueSlider from 'vue-slider-component'
import { SET_WORKSPACE_PRESSURE_LEVEL } from '@/workspace/store/mutations'
import WorkspaceGetter from '@/workspace/mixins/WorkspaceGetter'

export default {
  name: 'pressurelevelcontrol',

  mixins: [
    WorkspaceGetter,
  ],

  computed: {
    pressureLevel: {
      get() {
        return this.$store.getters.workspacePressureLevel(this.workspaceId)
      },

      set(value) {
        this.$store.commit(SET_WORKSPACE_PRESSURE_LEVEL, {
          workspaceId: this.workspaceId,
          pressureLevel: value,
        })
      }
    },
  },

  methods: {
    pressureLevelEnum() {
      return [
        'SURFACE',
        '950hPa',
        '925hPa',
        '900hPa',
        '850hPa',
        '800hPa',
        '700hPa',
        '500hPa',
        '300hPa',
      ]
    },
  },

  components: {
    VueSlider,
  },
}
</script>

<style scoped>
.pressure-level-control {
  background-color: rgb(255, 255, 255);
}
</style>
